package com.clx.performance.controller.temp;

import com.clx.performance.service.thirdparty.nbbank.NbBankService;
import com.clx.performance.vo.pc.nbbank.NbBankOrderPayResultVO;
import com.clx.performance.vo.pc.nbbank.NbBankOrderPayStatusResultVO;
import com.msl.common.result.Result;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;


/**
 * @Author: aiqingguo
 * @Description: 临时接口
 * @Date: 2023-8-21 12:10:16
 * @Version: 1.0
 */
@Slf4j
@RestController
@RequestMapping(value="/temp/bank")
public class TempBankController {

    @Autowired
    private NbBankService bankService;

    @ApiOperation(value = "转账", notes = "<br>By:艾庆国")
    @RequestMapping(value = "/directBankTransferOrder", method = RequestMethod.POST)
    public Result<NbBankOrderPayResultVO> directBankTransferOrder() throws Exception {

        return Result.ok(bankService.orderPay(1));
    }

    @ApiOperation(value = "订单支付", notes = "<br>By:艾庆国")
    @RequestMapping(value = "/unionPayDirectOrder", method = RequestMethod.POST)
    public Result<NbBankOrderPayResultVO> unionPayDirectOrder() throws Exception {

        return Result.ok(bankService.orderPay(2));
    }

    @ApiOperation(value = "查询", notes = "<br>By:艾庆国")
    @RequestMapping(value = "/queryOrder", method = RequestMethod.POST)
    public Result<NbBankOrderPayStatusResultVO> queryOrder(String merSeqNo) throws Exception {

        return Result.ok(bankService.getOrderStatus(merSeqNo));
    }

    @ApiOperation(value = "调账", notes = "<br>By:艾庆国")
    @RequestMapping(value = "/transferOrder", method = RequestMethod.POST)
    public Result<NbBankOrderPayStatusResultVO> transferOrder(String merSeqNo) throws Exception {

        return Result.ok(bankService.transferOrder(merSeqNo));
    }

    @ApiOperation(value = "退款", notes = "<br>By:艾庆国")
    @RequestMapping(value = "/refund", method = RequestMethod.POST)
    public Result<NbBankOrderPayStatusResultVO> refund(String merSeqNo) throws Exception {

        return Result.ok(bankService.refund(merSeqNo));
    }

}
